Skip to content
Start here

Delete a webhook

client.alerting.destinations.webhooks.delete(stringwebhookID, WebhookDeleteParams { account_id } params, RequestOptionsoptions?): WebhookDeleteResponse { errors, messages, success }
DELETE/accounts/{account_id}/alerting/v3/destinations/webhooks/{webhook_id}

Delete a configured webhook destination.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
webhookID: string

The unique identifier of a webhook

maxLength32
params: WebhookDeleteParams { account_id }
account_id: string

The account id

maxLength32
ReturnsExpand Collapse
WebhookDeleteResponse { errors, messages, success }
errors: Array<Error>
message: string
code?: number
minimum1000
messages: Array<Message>
message: string
code?: number
minimum1000
success: true

Whether the API call was successful

Delete a webhook

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const webhook = await client.alerting.destinations.webhooks.delete(
  'b115d5ec15c641ee8b7692c449b5227b',
  { account_id: '023e105f4ecef8ad9ca31a8372d0c353' },
);

console.log(webhook.errors);
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}